Subject: bug#23137: 25.1.50; Subpixel rendering is broken when not running under gnome-session

From: Matthew Leach <[email-masked]>
Date: Thu, 31 Mar 2016 08:34:47 +0100

Hi Eli,

Eli Zaretskii <[email-masked]> writes:

>> From: Matthew Leach <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 29 Mar 2016 22:13:14 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> > What is "subpixel rendering"?
>> >> 
>> >> [1] gives an overview of what it is and the 'rgba' values in [2] show
>> >> how to configure it.  I think MS use the term ClearType on their Windows
>> >> platform.
>> >
>> > Then why do you think it's an Emacs problem?
>> 
>> I think it's an Emacs problem, because it is not behaving as configured,
>> even though other GTK applications do.
>
> What configuration options were supposed to tell Emacs to use subpixel
> rendering?

There are two: ~/.Xresources (attached).  On some systems there is
/etc/fonts/conf.avail/10-sub-pixel-*.conf and you can symlink one of
those to /etc/fonts/conf.d (I have attached the one I use).  The 'rgba'
value in both configs controls subpixel rendering.

Thanks,
-- 
Matt